=== debian/changelog ===
roaraudio (0.3-2) unstable; urgency=high

  [ Philipp Schafft ]
  * Add upstream patch 02-roarify-ldlibrarypath.diff, which fixes the insecure
    handling of $LD_LIBRARY_PATH as mentioned in CVE-2010-3363.
    Closes: #598295
  * Fixed matrix pointer error with 01-libao4-matrix-pointer.diff in libao
    driver of roard.
    Closes: #598451

  [ Patrick Matthäi ]
  * Do not install pulse libraries on hurd-i386, which fixes a FTBFS on this
    architecture.
    Closes: #598449

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 30 Sep 2010 21:03:19 +0200

roaraudio (0.3-1) unstable; urgency=medium

  [ Patrick Matthäi ]
  * Add missing dependencies to the libroar-dev package.

  [ Philipp Schafft ]
  * Added symlink for libsndio.so -> libsndio.so.* in -dev package.
  * Install bash completion script.
  * Enabled ALSA support, recommend OSS.
  * Enabled CELT (0.7.1) support.
  * Re-enable libao driver for roard.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 24 Aug 2010 20:09:20 +0200

roaraudio (0.3~beta7-pr2-1) unstable; urgency=low

  [ Patrick Matthäi ]
  * Do not build roaraudio with missing libdnet-dev on hurd and kfreebsd.
  * libroar-compat0 breaks with roaraudio << 0.3~beta7-pr2-1, because of the
    moved roarify file.

  [ Philipp Schafft ]
  * New upstream pre-release.
    - Fixes FTBFS with libdnet on big endian systems.
  * Fixed install of libroarsndio as libsndio.
  * Moved roarify from roaraudio to libroar-compat0 as it is useless without
    it anyway.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 21 Jul 2010 18:13:39 +0200

roaraudio (0.3~beta7-pr1-1) unstable; urgency=low

  * Initial release.
    Closes: #587968

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 19 Jul 2010 20:59:27 +0200
