=== debian/control ===
Source: roaraudio
Priority: optional
Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Uploaders: Philipp Schafft <lion@lion.leolix.org>
Build-Depends: debhelper (>= 7), libesd0-dev,
 libfishsound1-dev, libvorbis-dev, libspeex-dev, libshout3-dev,
 libsndfile1-dev, liboggz2-dev, libslp-dev, liby-dev,
 libartsc0-dev, libspeexdsp-dev, libao-dev, libx11-dev,
 libcelt-dev (>= 0.7.1), libcelt-dev (<< 0.8.0~),
 libpulse-dev [!hurd-i386],
 libasound2-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
 libdnet-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64]
Standards-Version: 3.9.0
Section: libs
Homepage: http://roaraudio.keep-cool.org/

Package: libroar0
Architecture: any
Recommends: roaraudio-server
Suggests: bzip2, gnupg, openssh-client, libmuroar0
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: foundation libraries for the RoarAudio sound server and clients
 RoarAudio is a server for audio mixing. Its main purpose is to mix audio from
 different clients before sending it to its outputs (for example a soundcard).
 It is completely network transparent (UNIX sockets, TCP/IP, DECnet) and
 supports many common codecs like Ogg Vorbis, Speex or FLAC.
 .
 This packet consists of the following libraries:
 libroar: The RoarAudio main library. It contains code for talking to roard,
 virtual IO functions useful not only for audio applications, memory
 management functions like buffers, lists, stacks.
 .
 libroardsp: Digital Signal Processing library. It contains code to work with
 PCM signals including simple filters, converters and code to work with some
 (realtime) codecs.
 .
 libroareio: This is the RoarAudio Extended IO library. It contains code for
 talking to extended IO. Currently it contains code to talk to soundcards
 without roard. This is not meant to be used by other applications directly.
 .
 libroarlight: Light Control support library. It contains code to support
 the usage of the light control subsystem.
 .
 libroarmidi: MIDI subsystem support library. It contains code to support
 the usage of the MIDI subsystem.

Package: libroar-dev
Section: libdevel
Architecture: any
Provides: libsndio-dev
Depends: ${shlibs:Depends}, ${misc:Depends}, libroar0 (= ${binary:Version}),
 libroar-compat0 (= ${binary:Version}), libslp-dev, libx11-dev,
 libdnet-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64]
Description: header files and documentation for the RoarAudio libraries
 RoarAudio is a server for audio mixing. Its main purpose is to mix audio from
 different clients before sending it to its outputs (for example a soundcard).
 It is completely network transparent (UNIX sockets, TCP/IP, DECnet) and
 supports many common codecs like Ogg Vorbis, Speex or FLAC.
 .
 This packet consists of the following libraries:
 libroar: The RoarAudio main library. It contains code for talking to roard,
 virtual IO functions useful not only for audio applications, memory
 management functions like buffers, lists, stacks.
 .
 libroardsp: Digital Signal Processing library. It contains code to work with
 PCM signals including simple filters, converters and code to work with some
 (realtime) codecs.
 .
 libroareio: This is the RoarAudio Extended IO library. It contains code for
 talking to extended IO. Currently it contains code to talk to soundcards
 without roard. This is not meant to be used by other applications directly.
 .
 libroarlight: Light Control support library. It contains code to support
 the usage of the light control subsystem.
 .
 libroarmidi: MIDI subsystem support library. It contains code to support
 the usage of the MIDI subsystem.
 .
 This package contains the development headers for the libroar library.

Package: roaraudio-dbg
Section: debug
Architecture: any
Priority: extra
Provides: libroar0-dbg, libsndio0-dbg
Depends: ${shlibs:Depends}, ${misc:Depends}, libroar-dev (= ${binary:Version})
Description: RoarAudio sound server for audio mixing (debugging symbols)
 RoarAudio is a server for audio mixing. Its main purpose is to mix audio from
 different clients before sending it to its outputs (for example a soundcard).
 It is completely network transparent (UNIX sockets, TCP/IP, DECnet) and
 supports many common codecs like Ogg Vorbis, Speex or FLAC.
 .
 This packet consists of the following libraries:
 libroar: The RoarAudio main library. It contains code for talking to roard,
 virtual IO functions useful not only for audio applications, memory
 management functions like buffers, lists, stacks.
 .
 libroardsp: Digital Signal Processing library. It contains code to work with
 PCM signals including simple filters, converters and code to work with some
 (realtime) codecs.
 .
 libroareio: This is the RoarAudio Extended IO library. It contains code for
 talking to extended IO. Currently it contains code to talk to soundcards
 without roard. This is not meant to be used by other applications directly.
 .
 libroarlight: Light Control support library. It contains code to support
 the usage of the light control subsystem.
 .
 libroarmidi: MIDI subsystem support library. It contains code to support
 the usage of the MIDI subsystem.
 .
 This package contains the debugging symbols for RoarAudio.

Package: roaraudio
Section: sound
Architecture: any
Provides: roaraudio-server, rsound-server
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: oss-compat [!hurd-i386]
Suggests: roaraudio-extra, libroar-compat0, socat
Description: sound server for audio mixing
 RoarAudio is a server for audio mixing. Its main purpose is to mix audio from
 different clients before sending it to its outputs (for example a soundcard).
 It is completely network transparent (UNIX sockets, TCP/IP, DECnet) and
 supports many common codecs like Ogg Vorbis, Speex or FLAC.

Package: roaraudio-extra
Section: sound
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: wget
Description: extra utilities for RoarAudio
 RoarAudio is a server for audio mixing. Its main purpose is to mix audio from
 different clients before sending it to its outputs (for example a soundcard).
 It is completely network transparent (UNIX sockets, TCP/IP, DECnet) and
 supports many common codecs like Ogg Vorbis, Speex or FLAC.
 .
 Utilities which are not necessary for running RoarAudio and which need
 extra dependencies are in this package (like roarshout and roarvorbis).

Package: libroar-compat0
Architecture: any
Provides: libsndio0
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: roaraudio (<< 0.3~beta7-pr2-1)
Description: drop-in replacements for other sound libraries
 To get programs which use the EsounD (ESD), aRts, OpenBSD sndio, PulseAudio
 or YIFF API running, you can install this package and replace the appropriate
 libraries.
