=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifeq (,$(DEB_BUILD_ARCH))
	DEB_BUILD_ARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH)
endif

build: build-stamp
build-stamp:
	dh_testdir
	CXXFLAGS="$(CXXFLAGS)" ./configure \
	--prefix /usr --without-xmms --without-audacious \
	--without-beta --runtime-detect --no-fishsound --oss-dev /dev/dsp
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	dh_clean
	[ ! -f Makefile.conf ] || $(MAKE) -i distclean
	rm -rf $(CURDIR)/debian/tmp
	rm -f debian/roaraudio.init
	rm -f debian/roaraudio.default

install: build
	dh_testdir
	dh_testroot
	dh_prep
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	cp dist/debian-like/roaraudio debian/roaraudio.init
	cp dist/debian-like/defaults debian/roaraudio.default
	cp dist/debian-like/sndio.h debian/tmp/usr/include/
	mkdir -p debian/tmp/etc/bash_completion.d
	cp plugins/bash/roaraudio debian/tmp/etc/bash_completion.d/roaraudio
	ln -s libroarsndio.so.0.3 debian/tmp/usr/lib/libsndio.so.0.3
	ln -s libsndio.so.0.3 debian/tmp/usr/lib/libsndio.so

binary-indep: build install

binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_link -a
ifneq ($(DEB_BUILD_ARCH),hurd-i386)
	dh_install -plibroar-compat0 "debian/tmp/usr/lib/libroarpulse*.so.*"
	dh_install -plibroar-dev "debian/tmp/usr/lib/libroarpulse-simple.so"
	dh_install -plibroar-dev "debian/tmp/usr/lib/libroarpulse.so"
endif
	dh_install -a --list-missing
	dh_installdocs -a
	dh_installchangelogs -a
	dh_installinit -a
	dh_link -a
	dh_strip -a --dbg-package=roaraudio-dbg
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a
	dh_shlibdeps -a
	dh_installdeb -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

get-orig-source:
	@@dh_testdir
	@@[ -d ../tarballs/. ]||mkdir -p ../tarballs
	@@uscan --force-download --destdir ../tarballs

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
