=== libroararts/Makefile ===
--- 
+++ 
@@ -20,4 +20,4 @@
 #libartsc$(SHARED_SUFFIX): libroarartsc$(SHARED_SUFFIX)
 #	cp libroarartsc$(SHARED_SUFFIX) libartsc$(SHARED_SUFFIX)
 libroarartsc$(SHARED_SUFFIX): ${OBJS}
-	${CC} ${LDFLAGS} $(SHARED) -Wl,-soname,libroarartsc$(SHARED_SUFFIX).$(COMMON_V_MAJOR) -o libroarartsc$(SHARED_SUFFIX) ${OBJS} ${LIBS}
+	${CC} ${LDFLAGS} $(SHARED) -Wl,-soname,libroarartsc$(SHARED_SUFFIX).$(COMMON_SOVERSION) -o libroarartsc$(SHARED_SUFFIX) ${OBJS} ${LIBS}
