=== libroaresd/Makefile ===
--- 
+++ 
@@ -21,7 +21,7 @@
 new: clean all
 
 $(SLIB): ${OBJS}
-	${CC} ${LDFLAGS} -Wl,-soname,$(SLIB).$(COMMON_V_MAJOR) -o $(SLIB) ${OBJS} ${LIBS}
+	${CC} ${LDFLAGS} -Wl,-soname,$(SLIB).$(COMMON_SOVERSION) -o $(SLIB) ${OBJS} ${LIBS}
 $(LIB_BASENAME).a: ${OBJS}
 	${AR} cru $(LIB_BASENAME).a ${OBJS}
 	${RANLIB} $(LIB_BASENAME).a
