=== libroarpulse/Makefile ===
--- 
+++ 
@@ -24,10 +24,10 @@
 new: clean all
 
 $(LIB_STDAPI): ${OBJS_STDAPI}
-	${CC} ${LDFLAGS} $(SHARED) -Wl,-soname,$(LIB_STDAPI).$(COMMON_V_MAJOR) -o $(LIB_STDAPI) ${OBJS_STDAPI} ${LIBS}
+	${CC} ${LDFLAGS} $(SHARED) -Wl,-soname,$(LIB_STDAPI).$(COMMON_SOVERSION) -o $(LIB_STDAPI) ${OBJS_STDAPI} ${LIBS}
 
 $(LIB_SIMPLE): ${OBJS_SIMPLE} $(LIB_STDAPI)
-	${CC} ${LDFLAGS} $(SHARED) -Wl,-soname,$(LIB_SIMPLE).$(COMMON_V_MAJOR) -o $(LIB_SIMPLE) ${OBJS_SIMPLE} ${LIBS} -lroarpulse
+	${CC} ${LDFLAGS} $(SHARED) -Wl,-soname,$(LIB_SIMPLE).$(COMMON_SOVERSION) -o $(LIB_SIMPLE) ${OBJS_SIMPLE} ${LIBS} -lroarpulse
 
 
 libroarpulseinfo: libroarpulseinfo.o
