=== libroaryiff/Makefile ===
--- 
+++ 
@@ -17,4 +17,4 @@
 new: clean all
 
 libroaryiff.so: ${OBJS}
-	${CC} ${LDFLAGS} -Wl,-soname,libroaryiff$(SHARED_SUFFIX).$(COMMON_V_MAJOR) -o libroaryiff$(SHARED_SUFFIX) ${OBJS} ${LIBS}
+	${CC} ${LDFLAGS} -Wl,-soname,libroaryiff$(SHARED_SUFFIX).$(COMMON_SOVERSION) -o libroaryiff$(SHARED_SUFFIX) ${OBJS} ${LIBS}
