=== debian/changelog ===
roaraudio (0.4~beta3-1ubuntu1) natty; urgency=low

  * Merge from debian unstable. Remaining changes:
    - Build without aRts support to fix FTBFS.

 -- Angel Abad <angelabad@ubuntu.com>  Mon, 07 Feb 2011 14:19:31 +0100

roaraudio (0.4~beta3-1) unstable; urgency=low

  * New upstream release.
  * Uploading to unstable.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 06 Feb 2011 16:46:21 +0100

roaraudio (0.4~beta3~pr0-1) experimental; urgency=low

  * New upstream release.
    - Fixes FTBFS on some big endian architectures.
      Closes: #610254

 -- Philipp Schafft <lion@lion.leolix.org>  Thu, 20 Jan 2011 23:56:09 +0100

roaraudio (0.4~beta2-1) experimental; urgency=low

  [ Patrick Matthäi ]
  * New upstream release.
    Closes: #608140
    - Add patch 01-fix-init-stop.diff, which fixes the parameter order, so that
      roaraudio stops correctly.
  * Bump Standards-Version to 3.9.1 (no changes needed).
  * Add correct mangling in debian/watch.
  * Remove libroar-dev dependency from the -dbg package.
  * Remove all patches. They have been merged by upstream.
  * Do not double-install some packages, adding --ignore option to dh_install.
  * Remove useless provides with the -dbg package.
  * Add correct alternative depends for the -dbg package.
  * Add some lintian overrides for libroar1 and libroar-compat1.

  [ Philipp Schafft ]
  * Merged package roaraudio-extra into roaraudio.
  * Updated packages to match new soname.
  * Enabled new FLAC codec filter in roard (roaraudio package).
  * Set distribution version string to Debian package version.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 11 Jan 2011 20:53:54 +0100

roaraudio (0.3-2ubuntu1) natty; urgency=low

  * Build without aRts support to fix FTBFS (LP: #678326).

 -- Angel Abad <angelabad@ubuntu.com>  Sun, 21 Nov 2010 23:44:03 +0100
