=== debian/control ===
--- 
+++ 
@@ -1,24 +1,28 @@
 Source: roaraudio
 Priority: optional
-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
 Uploaders: Philipp Schafft <lion@lion.leolix.org>
 Build-Depends: debhelper (>= 7), libesd0-dev,
  libfishsound1-dev, libvorbis-dev, libspeex-dev, libshout3-dev,
  libsndfile1-dev, liboggz2-dev, libslp-dev, liby-dev,
- libartsc0-dev, libspeexdsp-dev, libao-dev, libx11-dev,
+ libspeexdsp-dev, libao-dev, libx11-dev,
  libcelt-dev (>= 0.7.1), libcelt-dev (<< 0.8.0~),
+ libflac-dev,
  libpulse-dev [!hurd-i386],
  libasound2-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
  libdnet-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64]
-Standards-Version: 3.9.0
+Standards-Version: 3.9.1
 Section: libs
 Homepage: http://roaraudio.keep-cool.org/
 
-Package: libroar0
+Package: libroar1
 Architecture: any
 Recommends: roaraudio-server
 Suggests: bzip2, gnupg, openssh-client, libmuroar0
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libroar0
+Replaces: libroar0
 Description: foundation libraries for the RoarAudio sound server and clients
  RoarAudio is a server for audio mixing. Its main purpose is to mix audio from
  different clients before sending it to its outputs (for example a soundcard).
@@ -48,8 +52,8 @@
 Section: libdevel
 Architecture: any
 Provides: libsndio-dev
-Depends: ${shlibs:Depends}, ${misc:Depends}, libroar0 (= ${binary:Version}),
- libroar-compat0 (= ${binary:Version}), libslp-dev, libx11-dev,
+Depends: ${shlibs:Depends}, ${misc:Depends}, libroar1 (= ${binary:Version}),
+ libroar-compat1 (= ${binary:Version}), libslp-dev, libx11-dev,
  libdnet-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64]
 Description: header files and documentation for the RoarAudio libraries
  RoarAudio is a server for audio mixing. Its main purpose is to mix audio from
@@ -82,8 +86,9 @@
 Section: debug
 Architecture: any
 Priority: extra
-Provides: libroar0-dbg, libsndio0-dbg
-Depends: ${shlibs:Depends}, ${misc:Depends}, libroar-dev (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends},
+ libroar1 (= ${binary:Version}), roaraudio (= ${binary:Version}),
+ libroar-compat1 (= ${binary:Version})
 Description: RoarAudio sound server for audio mixing (debugging symbols)
  RoarAudio is a server for audio mixing. Its main purpose is to mix audio from
  different clients before sending it to its outputs (for example a soundcard).
@@ -117,32 +122,22 @@
 Provides: roaraudio-server, rsound-server
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: oss-compat [!hurd-i386]
-Suggests: roaraudio-extra, libroar-compat0, socat
+Suggests: libroar-compat1, socat, wget
+Breaks: roaraudio-extra (<< 0.4~beta2~pr0-1)
+Replaces: roaraudio-extra (<< 0.4~beta2~pr0-1)
 Description: sound server for audio mixing
  RoarAudio is a server for audio mixing. Its main purpose is to mix audio from
  different clients before sending it to its outputs (for example a soundcard).
  It is completely network transparent (UNIX sockets, TCP/IP, DECnet) and
  supports many common codecs like Ogg Vorbis, Speex or FLAC.
 
-Package: roaraudio-extra
-Section: sound
+Package: libroar-compat1
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: wget
-Description: extra utilities for RoarAudio
- RoarAudio is a server for audio mixing. Its main purpose is to mix audio from
- different clients before sending it to its outputs (for example a soundcard).
- It is completely network transparent (UNIX sockets, TCP/IP, DECnet) and
- supports many common codecs like Ogg Vorbis, Speex or FLAC.
- .
- Utilities which are not necessary for running RoarAudio and which need
- extra dependencies are in this package (like roarshout and roarvorbis).
-
-Package: libroar-compat0
-Architecture: any
-Provides: libsndio0
+Provides: libsndio1
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Breaks: roaraudio (<< 0.3~beta7-pr2-1)
+Conflicts: libroar-compat0
+Replaces: libroar-compat0
 Description: drop-in replacements for other sound libraries
  To get programs which use the EsounD (ESD), aRts, OpenBSD sndio, PulseAudio
  or YIFF API running, you can install this package and replace the appropriate
