=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,8 @@
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
+DEB_VERSION := $(shell dpkg-parsechangelog|egrep '^Version:'|cut -f 2 -d ' ')
+
 ifeq (,$(DEB_BUILD_ARCH))
 	DEB_BUILD_ARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 endif
@@ -17,7 +19,9 @@
 	dh_testdir
 	CXXFLAGS="$(CXXFLAGS)" ./configure \
 	--prefix /usr --without-xmms --without-audacious \
-	--without-beta --runtime-detect --no-fishsound --oss-dev /dev/dsp
+	--without-beta --runtime-detect --no-fishsound \
+	--oss-dev /dev/dsp --oss-mixer-dev /dev/mixer \
+	--distribution-version-string "Debian-$(DEB_VERSION)"
 	$(MAKE)
 	touch build-stamp
 
@@ -41,8 +45,8 @@
 	cp dist/debian-like/sndio.h debian/tmp/usr/include/
 	mkdir -p debian/tmp/etc/bash_completion.d
 	cp plugins/bash/roaraudio debian/tmp/etc/bash_completion.d/roaraudio
-	ln -s libroarsndio.so.0.3 debian/tmp/usr/lib/libsndio.so.0.3
-	ln -s libsndio.so.0.3 debian/tmp/usr/lib/libsndio.so
+	ln -s libroarsndio.so.1 debian/tmp/usr/lib/libsndio.so.1
+	ln -s libsndio.so.1 debian/tmp/usr/lib/libsndio.so
 
 binary-indep: build install
 
@@ -51,14 +55,15 @@
 	dh_testroot -a
 	dh_link -a
 ifneq ($(DEB_BUILD_ARCH),hurd-i386)
-	dh_install -plibroar-compat0 "debian/tmp/usr/lib/libroarpulse*.so.*"
-	dh_install -plibroar-dev "debian/tmp/usr/lib/libroarpulse-simple.so"
-	dh_install -plibroar-dev "debian/tmp/usr/lib/libroarpulse.so"
+	dh_install --ignore=debian/libroar-compat1.install -plibroar-compat1 "debian/tmp/usr/lib/libroarpulse*.so.*"
+	dh_install --ignore=debian/libroar-dev.install -plibroar-dev "debian/tmp/usr/lib/libroarpulse-simple.so"
+	dh_install --ignore=debian/libroar-dev.install -plibroar-dev "debian/tmp/usr/lib/libroarpulse.so"
 endif
 	dh_install -a --list-missing
 	dh_installdocs -a
 	dh_installchangelogs -a
 	dh_installinit -a
+	dh_lintian -a
 	dh_link -a
 	dh_strip -a --dbg-package=roaraudio-dbg
 	dh_compress -a
